OpenTTD Source: Data Fields - Functions

OpenTTD Source 12.0-beta1

### - p -

- Pack() : Order , VehicleListIdentifier
- Packet() : Packet
- PacketReader() : PacketReader
- Packets() : CargoList< Tinst, Tcont >
- PacketWriter() : PacketWriter
- PageElementOrderSorter() : StoryBookWindow
- PageOrderSorter() : StoryBookWindow
- Paint() : OpenGLBackend , VideoDriver , VideoDriver_Allegro , VideoDriver_CocoaOpenGL , VideoDriver_CocoaQuartz , VideoDriver_SDL , VideoDriver_SDL_Default , VideoDriver_SDL_OpenGL , VideoDriver_Win32GDI
- PaletteAnimate() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter_Null
- PaletteChanged() : VideoDriver_Win32Base , VideoDriver_Win32GDI
- Parse() : ServerAddress
- ParseFile() : FileStringReader , StringReader
- ParsePacketSize() : Packet
- ParseSingleValue() : OneOfManySettingDesc
- ParseValue() : BoolSettingDesc , IntSettingDesc , ListSettingDesc , ManyOfManySettingDesc , NullSettingDesc , OneOfManySettingDesc , SettingDesc , StringSettingDesc
- PassOnFlow() : FlowStatMap
- Path() : Path
- Paths() : LinkGraphJob::Node
- Pause() : AI , Game , ScriptInstance
- Paused() : PerformanceMeasurer
- PayFinalDelivery() : CargoPayment
- PayTransfer() : CargoPayment
- PBSTileInfo() : PBSTileInfo
- Peek() : CommandQueue
- PerformanceAccumulator() : PerformanceAccumulator
- PerformanceData() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- PerformanceMeasurer() : PerformanceMeasurer
- PerformanceSorter() : CompanyLeagueWindow
- PersistentStorage() : PersistentStorage
- PersistentStorageArray() : PersistentStorageArray< TYPE, SIZE >
- PfCalcCost() : CYapfCostRailT< Types > , CYapfCostRoadT< Types > , CYapfCostShipT< Types >
- PfCalcEstimate() : CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationTileRoadT< Types > , CYapfDestinationTileT< Types > , CYapfDestinationTileWaterT< Types >
- PfDetectDestination() : CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationTileRoadT< Types > , CYapfDestinationTileT< Types > , CYapfDestinationTileWaterT< Types >
- PfFollowNode() : CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowRoadT< Types > , CYapfFollowShipT< Types >
- PfGetSettings() : CYapfBaseT< Types >
- PfNodeCacheFetch() : CYapfSegmentCostCacheGlobalT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheNoneT< Types >
- PfNodeCacheFlush() : CYapfSegmentCostCacheGlobalT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheNoneT< Types >
- PfSetStartupNodes() : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- PixelToTile() : SmallMapWindow
- PlaceIndustry() : IndustryCargoesWindow
- Play() : MusicSystem
- PlayChannelFrame() : MpsMachine
- PlayFrame() : MpsMachine
- PlayInto() : MpsMachine
- PlayLeaveStationSound() : Ship , Train , Vehicle
- PlaylistAdd() : MusicSystem
- PlaylistClear() : MusicSystem
- PlaylistRemove() : MusicSystem
- PlaySong() : MusicDriver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_OS2 , MusicDriver_Win32
- PollEvent() : VideoDriver , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_Win32Base
- PoolBase() : PoolBase
- Pop() : BinaryHeap , CHashTableT< Titem_, Thash_bits_ > , CommandQueue , LRUCache< Tkey, Tdata > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- PopBestOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopCargo() : VehicleCargoList
- PopColour() : FontState
- PopFromQueue() : Packet
- PopOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- PopulateSystemSprites() : VideoDriver , VideoDriver_CocoaOpenGL , VideoDriver_SDL_OpenGL
- PostDestructor() : BaseStation , Company , Industry , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , Town
- Postprocess() : CargoRemoval< Tsource >
- PostResize() : Blitter , Blitter_32bppAnim
- PowerChanged() : GroundVehicle< T, Type >
- PreDestructor() : Vehicle
- PredictNextOrder() : LinkRefresher
- PrepareLayout() : NewGRFSpriteLayout
- PrepareRefitAction() : PrepareRefitAction
- PrepareToRead() : Packet
- PrepareToSend() : Packet
- PrependQueue() : PacketWriter
- Preprocess() : CargoMovement< Tsource, Tdest > , CargoRemoval< Tsource >
- Prev() : IcuStringIterator , MusicSystem , OSXStringIterator , StringIterator , UniscribeStringIterator
- Previous() : SpecializedVehicle< T, Type > , Vehicle
- PreviousShared() : Vehicle
- PrevNextSign() : SignWindow
- Print() : Textbuf
- PrintFunc() : Squirrel
- ProcessHighlightedInvalidations() : Window
- ProcessRegisters() : NewGRFSpriteLayout , TileLayoutSpriteGroup
- ProcessScheduledInvalidations() : Window
- PruneIntermediateNodeBranch() : CYapfBaseT< Types >
- PSAWithParameter() : NIHelper , NIHTown
- PtInExtendedRect() : StationRect
- Push() : BinaryHeap , CHashTableT< Titem_, Thash_bits_ > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- PushColour() : FontState
- PushExtraConfigList() : AIConfig , ScriptConfig
- PushFlow() : MultiCommodityFlow